# Uses of Interface
org.gitana.platform.client.node.Node

Packages that use Node
Package
Description
org.gitana.platform.client.application
org.gitana.platform.client.beans
org.gitana.platform.client.branch
org.gitana.platform.client.node
org.gitana.platform.client.node.type
org.gitana.platform.client.util

## Uses of Node in org.gitana.platform.client.application

Methods in org.gitana.platform.client.application with parameters of type Node
Modifier and Type
Method
Description
`Email`
Application.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress)`
`Email`
Application.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress, String ccEmailAddresses, String bccEmailAddresses)`
`Email`
ApplicationImpl.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress)`
`Email`
ApplicationImpl.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress, String ccEmailAddresses, String bccEmailAddresses)`
`void`
Email.`setBodyAttachment(Node node, String attachmentId)`
`void`
EmailImpl.`setBodyAttachment(Node node, String attachmentId)`

## Uses of Node in org.gitana.platform.client.beans

Methods in org.gitana.platform.client.beans that return types with arguments of type Node
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Node>`
TraversalResults.`getNodes()`
Method parameters in org.gitana.platform.client.beans with type arguments of type Node
Modifier and Type
Method
Description
`void`
TraversalResults.`setNodes(Map<String,Node> nodes)`

## Uses of Node in org.gitana.platform.client.branch

Methods in org.gitana.platform.client.branch that return Node
Modifier and Type
Method
Description
`Node`
Branch.`rootNode()`
`Node`
BranchImpl.`rootNode()`
Methods in org.gitana.platform.client.branch that return types with arguments of type Node
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Node>`
Branch.`listNodes()`
Retrieves the mount nodes for this branch.
`org.gitana.platform.support.ResultMap<Node>`
Branch.`listNodes(LookupOptions options)`
Retrieves the mount nodes for this branch.
`org.gitana.platform.support.ResultMap<Node>`
Branch.`listNodes(org.gitana.platform.support.Pagination pagination)`
Retrieves the mount nodes for this branch.
`org.gitana.platform.support.ResultMap<Node>`
BranchImpl.`listNodes()`
`org.gitana.platform.support.ResultMap<Node>`
BranchImpl.`listNodes(LookupOptions options)`
`org.gitana.platform.support.ResultMap<Node>`
BranchImpl.`listNodes(org.gitana.platform.support.Pagination pagination)`

## Uses of Node in org.gitana.platform.client.node

Classes in org.gitana.platform.client.node that implement Node
Modifier and Type
Class
Description
`class`
`NodeImpl`
Default "n:node" implementation for a node.
Methods in org.gitana.platform.client.node that return Node
Modifier and Type
Method
Description
`Node`
Node.`createTranslation(String edition, Locale locale, com.fasterxml.jackson.databind.node.ObjectNode object)`
Creates a new translation.
`Node`
NodeImpl.`createTranslation(String edition, Locale locale, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Node`
Association.`getOtherNode(Node node)`
`Node`
AssociationImpl.`getOtherNode(Node node)`
`Node`
Association.`getSourceNode()`
`Node`
AssociationImpl.`getSourceNode()`
`Node`
Association.`getTargetNode()`
`Node`
AssociationImpl.`getTargetNode()`
`Node`
Node.`readTranslation(String edition, Locale locale)`
Reads a translation for the specified edition of the master node in the given locale.
`Node`
Node.`readTranslation(Locale locale)`
Reads a translation for the tip edition of the master node in the given locale.
`Node`
NodeImpl.`readTranslation(String edition, Locale locale)`
`Node`
NodeImpl.`readTranslation(Locale locale)`
Methods in org.gitana.platform.client.node with parameters of type Node
Modifier and Type
Method
Description
`Association`
Node.`associate(Node targetNode, org.gitana.platform.support.QName associationTypeQName)`
Associates a target node to this source node.
`Association`
Node.`associate(Node targetNode, org.gitana.platform.support.QName associationTypeQName, com.fasterxml.jackson.databind.node.ObjectNode object)`
Associates a target node to this source node.
`Association`
Node.`associate(Node otherNode, org.gitana.platform.support.QName associationTypeQName, org.gitana.platform.services.association.Directionality directionality)`
Associates this node with another.
`Association`
Node.`associate(Node otherNode, org.gitana.platform.support.QName associationTypeQName, org.gitana.platform.services.association.Directionality directionality, com.fasterxml.jackson.databind.node.ObjectNode object)`
Associates this node with another.
`Association`
NodeImpl.`associate(Node targetNode, org.gitana.platform.support.QName associationTypeQName)`
`Association`
NodeImpl.`associate(Node targetNode, org.gitana.platform.support.QName associationTypeQName, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Association`
NodeImpl.`associate(Node otherNode, org.gitana.platform.support.QName associationTypeQName, org.gitana.platform.services.association.Directionality directionality)`
`Association`
NodeImpl.`associate(Node otherNode, org.gitana.platform.support.QName associationTypeQName, org.gitana.platform.services.association.Directionality directionality, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Node`
Association.`getOtherNode(Node node)`
`Node`
AssociationImpl.`getOtherNode(Node node)`
`void`
Association.`setSourceNode(Node sourceNode)`
`void`
AssociationImpl.`setSourceNode(Node sourceNode)`
`void`
Association.`setTargetNode(Node targetNode)`
`void`
AssociationImpl.`setTargetNode(Node targetNode)`
`void`
Node.`unassociate(Node targetNode, org.gitana.platform.support.QName associationTypeQName)`
Unassociates a target node from this node.
`void`
Node.`unassociate(Node otherNode, org.gitana.platform.support.QName associationTypeQName, org.gitana.platform.services.association.Directionality directionality)`
Unassociates this node from another node.
`void`
NodeImpl.`unassociate(Node targetNode, org.gitana.platform.support.QName associationTypeQName)`
`void`
NodeImpl.`unassociate(Node otherNode, org.gitana.platform.support.QName associationTypeQName, org.gitana.platform.services.association.Directionality directionality)`

## Uses of Node in org.gitana.platform.client.node.type

Subinterfaces of Node in org.gitana.platform.client.node.type
Modifier and Type
Interface
Description
`interface`
`AssociationDefinition`
`interface`
`Definition`
`interface`
`FeatureDefinition`
`interface`
`Form`
`interface`
`Group`
`interface`
`NodeList`
`interface`
`Person`
`interface`
`Rule`
`interface`
`TypeDefinition`
Classes in org.gitana.platform.client.node.type that implement Node
Modifier and Type
Class
Description
`class`
`AbstractDefinitionImpl`
`class`
`AssociationDefinitionImpl`
`class`
`FeatureDefinitionImpl`
`class`
`FormImpl`
`class`
`GroupImpl`
`class`
`NodeListImpl`
`class`
`PersonImpl`
`class`
`RuleImpl`
`class`
`TypeDefinitionImpl`
Methods in org.gitana.platform.client.node.type that return Node
Modifier and Type
Method
Description
`Node`
NodeList.`addItem(com.fasterxml.jackson.databind.node.ObjectNode object)`
Adds an item
`Node`
NodeListImpl.`addItem(com.fasterxml.jackson.databind.node.ObjectNode object)`
Methods in org.gitana.platform.client.node.type that return types with arguments of type Node
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Node>`
NodeList.`listItems()`
Lists items
`org.gitana.platform.support.ResultMap<Node>`
NodeList.`listItems(org.gitana.platform.support.Pagination pagination)`
Lists items
`org.gitana.platform.support.ResultMap<Node>`
NodeListImpl.`listItems()`
`org.gitana.platform.support.ResultMap<Node>`
NodeListImpl.`listItems(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Node>`
NodeList.`queryItems(com.fasterxml.jackson.databind.node.ObjectNode query)`
Queries for items
`org.gitana.platform.support.ResultMap<Node>`
NodeList.`queryItems(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Queries for items.
`org.gitana.platform.support.ResultMap<Node>`
NodeListImpl.`queryItems(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Node>`
NodeListImpl.`queryItems(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of Node in org.gitana.platform.client.util

Methods in org.gitana.platform.client.util that return types with arguments of type Node
Modifier and Type
Method
Description
`static org.gitana.platform.support.ResultMap<Node>`
DriverUtil.`toNodes(org.gitana.platform.support.ResultMap<BaseNode> baseNodes)`